ros-rolling-ros2lifecycle (0.37.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Sun, 02 Feb 2025 08:00:00 -0000

ros-rolling-ros2lifecycle (0.36.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 20 Dec 2024 08:00:00 -0000

ros-rolling-ros2lifecycle (0.36.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 20 Nov 2024 08:00:00 -0000

ros-rolling-ros2lifecycle (0.35.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 03 Oct 2024 07:00:00 -0000

ros-rolling-ros2lifecycle (0.34.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 29 Jul 2024 07:00:00 -0000

ros-rolling-ros2lifecycle (0.34.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 17 Jun 2024 07:00:00 -0000

ros-rolling-ros2lifecycle (0.33.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 26 Apr 2024 07:00:00 -0000

ros-rolling-ros2lifecycle (0.32.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 16 Apr 2024 07:00:00 -0000

ros-rolling-ros2lifecycle (0.31.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Mar 2024 07:00:00 -0000

ros-rolling-ros2lifecycle (0.31.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 07 Feb 2024 08:00:00 -0000

ros-rolling-ros2lifecycle (0.31.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 24 Jan 2024 08:00:00 -0000

ros-rolling-ros2lifecycle (0.30.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 Dec 2023 08:00:00 -0000

ros-rolling-ros2lifecycle (0.30.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 06 Nov 2023 08:00:00 -0000

ros-rolling-ros2lifecycle (0.29.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 04 Oct 2023 07:00:00 -0000

ros-rolling-ros2lifecycle (0.29.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 21 Aug 2023 07:00:00 -0000

ros-rolling-ros2lifecycle (0.28.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Jul 2023 07:00:00 -0000

ros-rolling-ros2lifecycle (0.27.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 07 Jun 2023 07:00:00 -0000

ros-rolling-ros2lifecycle (0.26.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 May 2023 07:00:00 -0000

ros-rolling-ros2lifecycle (0.26.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 28 Apr 2023 07:00:00 -0000

ros-rolling-ros2lifecycle (0.25.0-1noble) noble; urgency=high

  * Make all of the dependencies in pure Python packages exec_depend. (#823 <https://github.com/ros2/ros2cli/issues/823>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 18 Apr 2023 07:00:00 -0000

ros-rolling-ros2lifecycle (0.24.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Apr 2023 07:00:00 -0000

ros-rolling-ros2lifecycle (0.24.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Apr 2023 07:00:00 -0000

ros-rolling-ros2lifecycle (0.23.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 02 Mar 2023 08:00:00 -0000

ros-rolling-ros2lifecycle (0.22.0-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#776 <https://github.com/ros2/ros2cli/issues/776>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 14 Feb 2023 08:00:00 -0000

ros-rolling-ros2lifecycle (0.21.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 02 Nov 2022 07:00:00 -0000

ros-rolling-ros2lifecycle (0.20.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 13 Sep 2022 07:00:00 -0000

ros-rolling-ros2lifecycle (0.19.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 29 Apr 2022 07:00:00 -0000

ros-rolling-ros2lifecycle (0.18.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Apr 2022 07:00:00 -0000

ros-rolling-ros2lifecycle (0.18.2-1noble) noble; urgency=high

  * Add timeout to kill hanging tests (#701 <https://github.com/ros2/ros2cli/issues/701>)
  * Contributors: Audrow Nash

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 30 Mar 2022 07:00:00 -0000

ros-rolling-ros2lifecycle (0.18.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 28 Mar 2022 07:00:00 -0000

ros-rolling-ros2lifecycle (0.18.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 01 Mar 2022 08:00:00 -0000

ros-rolling-ros2lifecycle (0.17.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2lifecycle (0.17.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2lifecycle (0.16.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2lifecycle (0.16.0-1noble) noble; urgency=high

  * Depend on launch packages instead of ros_testing to avoid circular dependency (#685 <https://github.com/ros2/ros2cli/issues/685>)
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2lifecycle (0.15.0-1noble) noble; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-ros2lifecycle (0.14.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-ros2lifecycle (0.13.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-ros2lifecycle (0.12.0-1noble) noble; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-rolling-ros2lifecycle (0.11.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ros2lifecycle (0.10.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-ros2lifecycle (0.10.0-1noble) noble; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Contributors: Claire Wang

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-ros2lifecycle (0.9.5-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-ros2lifecycle (0.9.4-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ros2lifecycle (0.9.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-rolling-ros2lifecycle (0.9.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-ros2lifecycle (0.9.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 06 May 2020 07:00:00 -0000

ros-rolling-ros2lifecycle (0.9.0-1noble) noble; urgency=high

  * Stop using 'node_name' and 'node_namespace' in tests. (#498 <https://github.com/ros2/ros2cli/issues/498>)
    They are both deprecated, and print warnings in CI like:
    Warning: The parameter 'node_name' is deprecated, use 'name' instead
  * Replace deprecated launch_ros usage. (#487 <https://github.com/ros2/ros2cli/issues/487>)
    The Node parameter 'node_executable' has been deprecated and replaced
    with the parameter 'executable'.
  * Skip CLI tests on Windows until we resolve the blocking/hanging isuse. (#489 <https://github.com/ros2/ros2cli/issues/489>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Used get_available_rmw_implementations from rclpy. (#461 <https://github.com/ros2/ros2cli/issues/461>)
  * Add delay when retrying tests involving the CLI daemon. (#459 <https://github.com/ros2/ros2cli/issues/459>)
    This is to give time for discovery to happen between the daemon node and the test fixture nodes.
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Only load required entry points which improves the performance. (#436 <https://github.com/ros2/ros2cli/issues/436>)
    * Extend API to exclude extensions from loading
    * Add add_subparsers_on_demand() function
    * Update all extensions to use the new API
    * Deprecate old API, add deprecation warnings
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas, Jacob Perron, Steven! Ragnarök

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-rolling-ros2lifecycle (0.8.6-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-rolling-ros2lifecycle (0.8.5-1noble) noble; urgency=high

  * 0.8.5
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 14 Nov 2019 08:00:00 -0000

ros-rolling-ros2lifecycle (0.8.4-1noble) noble; urgency=high

  * 0.8.4
  * [ros2lifecycle] Add test coverage for CLI. (#391 <https://github.com/ros2/ros2cli/issues/391>)
    * Add test coverage for ros2lifecycle CLI.
    * Add ros2lifecycle_test_fixtures package.
    * Use ros2lifecycle_test_fixtures package instead of demo lifecycle package.
    * Add a few more ros2lifecycle test cases.
    * Address last few peer review comments.
    * Rename ros2lifecycle tests fixture node.
  * [ros2lifecycle] Misc fixes. (#395 <https://github.com/ros2/ros2cli/issues/395>)
  * Contributors: Michael Carroll, Michel Hidalgo

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-ros2lifecycle (0.8.3-1noble) noble; urgency=high

  * 0.8.3
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-ros2lifecycle (0.8.2-1noble) noble; urgency=high

  * 0.8.2
  * Contributors: Dirk Thomas

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 08 Oct 2019 07:00:00 -0000

ros-rolling-ros2lifecycle (0.8.1-1noble) noble; urgency=high

  * 0.8.1
  * Contributors: Michael Carroll

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 04 Oct 2019 07:00:00 -0000

ros-rolling-ros2lifecycle (0.8.0-1noble) noble; urgency=high

  * Install resource marker file for packages. (#339 <https://github.com/ros2/ros2cli/issues/339>)
  * Update setup.py version. (#331 <https://github.com/ros2/ros2cli/issues/331>)
    Versions now match latest tag and package.xml.
  * Install package manifest. (#330 <https://github.com/ros2/ros2cli/issues/330>)
  * Contributors: Dirk Thomas, Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-rolling-ros2lifecycle (0.7.4-1noble) noble; urgency=high

  * [ros2lifecycle] Only return the state for the node requested. (#266 <https://github.com/ros2/ros2cli/issues/266>)
    * [ros2lifecycle] Only return the state for the node requested
    Previously, the 'get' verb was returning the state for all lifecycle nodes.
    * Fix logic to handle optional positional argument
    * Clarfiy 'lifecycle get' behavior in documentation
  * Contributors: Jacob Perron

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-ros2lifecycle (0.7.3-1noble) noble; urgency=high

  * Use new type identification for lifecycle nodes. (#241 <https://github.com/ros2/ros2cli/issues/241>)
  * Contributors: Karsten Knese

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-ros2lifecycle (0.7.2-1noble) noble; urgency=high

  * Add xmllint linter test. (#232 <https://github.com/ros2/ros2cli/issues/232>)
    * Add xmllint test to ament_python packages
    * Cover new packages as well
  * Contributors: Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-ros2lifecycle (0.7.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 17 Apr 2019 07:00:00 -0000

ros-rolling-ros2lifecycle (0.7.0-1noble) noble; urgency=high

  * Ros2lifecycle nodes and get verbs, now showing hidden nodes when requested. (#208 <https://github.com/ros2/ros2cli/issues/208>)
    * Fixed issue 169
    * Nipick: remove newline
  * Contributors: ivanpauno

 -- Audrow Nash <audrow@openrobotics.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-rolling-ros2lifecycle (0.6.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Feb 2019 08:00:00 -0000

ros-rolling-ros2lifecycle (0.6.2-1noble) noble; urgency=high

  * Add slash for node name. (#179 <https://github.com/ros2/ros2cli/issues/179>)
    * Add slash for node name
    * Check for forward slash in ros2param
    * Use get_absolute_node_name function
  * Remove unused cli option. (#174 <https://github.com/ros2/ros2cli/issues/174>)
    * Remove --transition option from lifecycle get
    * Check for leading slash on node name
    * No new line between ifs
    * Review comments
  * Fix ros2 lifecycle get. (#167 <https://github.com/ros2/ros2cli/issues/167>)
  * Contributors: Dirk Thomas, Karsten Knese

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-rolling-ros2lifecycle (0.6.1-1noble) noble; urgency=high

  * 0.6.1
    bump package.xml, setup.py and setup.cfg versions
  * Contributors: Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-rolling-ros2lifecycle (0.6.0-1noble) noble; urgency=high

  * Lifecycle refactor. (#150 <https://github.com/ros2/ros2cli/issues/150>)
    * Remove node name from lifecycle messages
    * New verb _nodes_ for lifecycle
  * Comply with new node representation. (#149 <https://github.com/ros2/ros2cli/issues/149>)
    * Comply with new node representation
    * Python oneliner
    * Get_node_names return full struct
  * Contributors: Karsten Knese

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 19 Nov 2018 08:00:00 -0000

ros-rolling-ros2lifecycle (0.5.4-1noble) noble; urgency=high

  * Remove apparently unused yaml dependency. (#130 <https://github.com/ros2/ros2cli/issues/130>)
  * Contributors: Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 20 Aug 2018 07:00:00 -0000

ros-rolling-ros2lifecycle (0.5.3-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Tue, 17 Jul 2018 07:00:00 -0000

ros-rolling-ros2lifecycle (0.5.2-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Thu, 28 Jun 2018 07:00:00 -0000

ros-rolling-ros2lifecycle (0.5.1-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 19:27:00 -0000

ros-rolling-ros2lifecycle (0.5.0-1noble) noble; urgency=high

  * Ros2lifecycle: fix dep and import. (#103 <https://github.com/ros2/ros2cli/issues/103>)
  * Make flake8 import order happy
  * Add ros2 lifecycle. (#97 <https://github.com/ros2/ros2cli/issues/97>)
    * Add ros2 lifecycle
    * Remove debug print
  * Contributors: Dirk Thomas, Mikael Arguedas

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 27 Jun 2018 19:17:00 -0000

ros-rolling-ros2lifecycle (0.4.0-1noble) noble; urgency=high



 -- Audrow Nash <audrow@openrobotics.org>  Fri, 08 Dec 2017 08:00:00 -0000


